Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
PostProcessorPhilipsStereoPlugin Class Reference
Inheritance diagram for PostProcessorPhilipsStereoPlugin:

## Public Slots
QString | version ()

## Signals
void | updateView ()
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...

## Public Member Functions
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...
QString | postProcessorName ()
| announce name for the postProcessor function More...

## Private Slots
QAction * | optionsAction ()
void | postProcess (ACG::GLState *_glstate, const std::vector< const PostProcessorInput * > &_input, const PostProcessorOutput &_output)
void | slotShowOptionsMenu ()
QString | checkOpenGL ()

## Private Attributes
GLSL::PtrProgram | pProgram_
PhilipsStereoSettingsWidget * | settingsWidget_

## Additional Inherited Members
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from PostProcessorInterface
virtual | ~PostProcessorInterface ()
| Destructor.

## Detailed Description

Definition at line 60 of file PostProcessorPhilipsStereo.hh.

## Member Function Documentation

QString PostProcessorPhilipsStereoPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 75 of file PostProcessorPhilipsStereo.hh.

QString PostProcessorPhilipsStereoPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 74 of file PostProcessorPhilipsStereo.hh.

QString PostProcessorPhilipsStereoPlugin::postProcessorName | ( |  | ) |
| virtual

announce name for the postProcessor function

Returns
  The name of the post processor

Implements PostProcessorInterface.

Definition at line 69 of file PostProcessorPhilipsStereo.cc.

The documentation for this class was generated from the following files:

- PluginCollection-PostProcessors/Plugin-PhilipsStereo/PostProcessorPhilipsStereo.hh
- PluginCollection-PostProcessors/Plugin-PhilipsStereo/PostProcessorPhilipsStereo.cc
- PluginCollection-PostProcessors/Plugin-PhilipsStereo/PostProcessorPhilipsStereo_qt.cc